Last Comment Bug 697726 - Stop
: Stop
Status: VERIFIED FIXED
[parity-all]
: uiwanted
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks: 703115
  Show dependency treegraph
 
Reported: 2011-10-27 08:42 PDT by Aaron Train [:aaronmt]
Modified: 2012-01-09 15:33 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
URL bar states (76.17 KB, image/png)
2011-11-02 07:22 PDT, Ian Barlow (:ibarlow)
no flags Details
Graphic assets for header icons (10.53 KB, application/zip)
2011-11-02 07:25 PDT, Ian Barlow (:ibarlow)
no flags Details
Patch (13.57 KB, patch)
2011-11-16 16:25 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Aaron Train [:aaronmt] 2011-10-27 08:42:50 PDT
Re-add the the ability to stop page load.
Comment 1 Doug Turner (:dougt) 2011-10-27 10:03:02 PDT
not in the design spec.
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2011-10-27 10:05:45 PDT
don't listen to dougt
Comment 3 Madhava Enros [:madhava] 2011-11-02 06:43:06 PDT
Sorry, who?

When a page is loading, let's have a button at the end of the titlebar (i.e. where we put it in previous versions). The difference is that we won't replace it with refresh in the new one. When you need stop, it's pretty useful to have to have it available immediately.
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2011-11-02 06:46:43 PDT
(In reply to Madhava Enros [:madhava] from comment #3)
> The difference is that we won't
> replace it with refresh in the new one. 

why not?
Comment 5 Brad Lassey [:blassey] (use needinfo?) 2011-11-02 06:48:14 PDT
(In reply to Brad Lassey [:blassey] from comment #4)
> (In reply to Madhava Enros [:madhava] from comment #3)
> > The difference is that we won't
> > replace it with refresh in the new one. 
> 
> why not?

or more specifically, what do you want to do here? have it go away when the page finishes loading? or just have a disabled stop button when the page finishes loading? If its the latter, I think it would be better for it to turn into a refresh button. For the former I wonder how that transition will look.
Comment 6 Ian Barlow (:ibarlow) 2011-11-02 07:22:42 PDT
Created attachment 571325 [details]
URL bar states

Hi everyone, here's a mock of all the various URL bar states that should clarify some of these interaction questions. 

With regard to the Stop button, it only appears when the page is loading, and then goes away once loading has finished.
Comment 7 Ian Barlow (:ibarlow) 2011-11-02 07:25:13 PDT
Created attachment 571326 [details]
Graphic assets for header icons

Includes Stop, Lock, and Go icons, prepared for Gingerbread and ICS
Comment 8 Sriram Ramasubramanian [:sriram] 2011-11-16 16:25:59 PST
Created attachment 575029 [details] [diff] [review]
Patch

This patch adds the stop functionality.

I am not sure if I should send the event directly from BrowserToolbar. I tried to be consistent in call GeckoApp from BrowserToolbar, which inturn calls Tab's stop().

We need high resolution assets for stop button.
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-17 11:20:43 PST
https://hg.mozilla.org/projects/birch/rev/14e6f9bd949d
Comment 10 Aaron Train [:aaronmt] 2011-11-18 10:29:08 PST
Samsung Nexus S (Android 2.3.6)
20111118040220
http://hg.mozilla.org/projects/birch/rev/9999a423d8ab

Note You need to log in before you can comment on or make changes to this bug.